#! /usr/bin/python
"""\
================================================================================
Описание:       Пример программы
Автор:          Андрей Орлов
Дата:           Wed Nov 21 11:57:27 MSK 2001
Вызов :         %(application)s [ключи] [команда]*"
Команды:
                hello   [<приветствие>]
                        Выводит строку приветствия или Hello world
Ключи:
================================================================================
"""
import CFG
import string
import sys
class App (CFG.Application) :
    __doc__ = __doc__
    
    main = CFG.Application.exec_cmd
    
    def arg_hello(self,*arg,**kw) :
        if not self.cfg['count'] :
            self.fatal('Счетчик повторов равен 0')
        
        self.verbose('Начало вывода приветствий')
        
        for item in range(0,self.cfg['count']) :
            if len(arg) == 0 :
                print "Hello,World!"
            else :
                print string.join(arg," ")
        
        return 1

app=App(cfg=CFG.ConfigS(dict={ 
        'verbose-level':1,
        'count':1,
},realm='Inner Defaults'),cfg_names=('/etc/','./.'),prefix='hello')

sys.exit(app.run())


